import { createRouter, createWebHistory } from 'vue-router'

const router = createRouter({
	history: createWebHistory(import.meta.env.BASE_URL),
	routes: [
		/**
		 * General
		 */
		{
			path: '/',
			name: 'home',
			component: () => import('../views/HomeView.vue'),
		},
		{
			path: '/explain_crontab',
			name: 'explain_crontab',
			component: () => import('../views/ExplainCrontab.vue'),
		},

		/**
		 * String manipulation
		 */
		{
			path: '/str_length',
			name: 'str_length',
			component: () => import('../views/StrLength.vue'),
		},
		{
			path: '/str_sort_lines',
			name: 'str_sort_lines',
			component: () => import('../views/StrSortLines.vue'),
		},
		{
			path: '/str_to_lower_upper',
			name: 'str_to_lower_upper',
			component: () => import('../views/StrToLowerUppper.vue'),
		},
		{
			path: '/str_remove_duplicate_lines',
			name: 'str_remove_duplicate_lines',
			component: () => import('../views/StrRemoveDuplicateLines.vue'),
		},
		{
			path: '/str_to_php_array',
			name: 'str_to_php_array',
			component: () => import('../views/StrToPHPArray.vue'),
		},
		{
			path: '/php_array_to_json',
			name: 'php_array_to_json',
			component: () => import('../views/PHPArrayToJson.vue'),
		},
		{
			path: '/fix_ru_en_keyboard',
			name: 'fix_ru_en_keyboard',
			component: () => import('../views/FixRuEnKeyboard.vue'),
		},
		{
			path: '/url_encode_decode',
			name: 'url_encode_decode',
			component: () => import('../views/UrlEncodeDecode.vue'),
		},

		/**
		 * SQL manipulation
		 */
		{
			path: '/sql_split_in',
			name: 'sql_split_in',
			component: () => import('../views/SQLSplitInView.vue'),
		},
		{
			path: '/sql_formatter',
			name: 'sql_formatter',
			component: () => import('../views/SQLFormatter.vue'),
		},
	],
})

export default router
